package com.purui.prims.headless.server.service;


import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.headless.api.pojo.request.DecoratorTypeReq;
import com.purui.prims.headless.api.pojo.response.DecoratorTypeResp;

import java.util.List;

/**
 * 修饰词类型服务
 */
public interface DecoratorTypeService {

    boolean saveOrUpdate(DecoratorTypeReq decoratorReq, User user);

    void delete(Integer id);

    List<DecoratorTypeResp> getTypes(DecoratorTypeReq decoratorReq);

    DecoratorTypeResp getType(Integer id);

}
